
Foreman - Feature #975

Ability to set default/mandatory parameters for classes.

06/10/2011 12:24 AM - Matthew Saddington

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

It would be great if you could set mandatory parameters for a class. So that when you added the classes to nodes a list of the

mandatory parameters would automatically be listed and be required. There could also be the ability to have optional parameters and

later have validation for parameters.

History

#1 - 06/14/2011 08:43 AM - Matthew Saddington

I now see that this ticket already exists http://theforeman.org/issues/322

#2 - 06/14/2011 09:08 AM - Ohad Levy

- Status changed from New to Duplicate
